
/**
 * The abstract data type of a dictionary
 */


public interface Dictionary_adt {

  /**
   * Inserts the key x in this dictionary.
   * @param key the element to insert
   */
  Object insert(Comparable key );

  /**
   * Removes the mapping for this key from this dictionary if it is present
   * @param key the element to remove.
   */
  Comparable remove(Comparable key );

  /**
   * Returns the value to which this map maps the specified key.
   * @param key key whose associated value is to be returned.
   * @return the value to which this map maps the specified key,
   * or null if the map contains no mapping for this key.
   */
 Object find (Comparable key ) ;

}