
/**
 * Simple Test Program
 */

import java.util.*;

public class HashTableDemo {
static final int MAX = 10000;
static final int NINS = 100;
static final int TABLESIZE = 150;

	public static void main(String[] args) {
	HashTable H = new HashTable(TABLESIZE);
	Random gen = new Random(); /* Generatore di interi casuali */
	int maxClusterSize = 0; /* Dimensione massimo cluster */
	int noColl = 0; /* Numero di collisioni */

		H.startCounter(); /* inizializza contatore collisioni */
		for (int i = 0; i < NINS; i++)
			H.insert(new BaseObject(gen.nextInt(MAX)));

		noColl = H.getColl();
		System.out.println("Numero di collisioni: " + noColl);
		System.out.println("Percentuale collisioni su totale inserimenti: " + (double) noColl/NINS);
		maxClusterSize = H.maxClusterSize();
		System.out.println("Dimensione massimo cluster: " + maxClusterSize);
		System.out.println("Fattore di clustering: " + (double) maxClusterSize/TABLESIZE);
        }
}